﻿using System;
using System.Drawing;

namespace Esempio.MVC
{
    public class Controller
    {
        private readonly Model _model;
        private readonly Random _random = new Random();

        public Controller(Model model)
        {
            _model = model;
        }

        public void CambiaColore(object sender, EventArgs e)
        {
            _model.Color = Color.FromArgb(_random.Next(0, 255), _random.Next(0, 255), _random.Next(0, 255));
        }

        public void CambiaColore(Color color)
        {
            _model.Color = color;
        }
    }
}
