﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Esempio.MVP
{
    class Presenter1 : Presenter
    {
        private readonly Control _control;

        public Presenter1(Control control)
        {
            if (control == null)
                throw new ArgumentNullException("control");
            _control = control;
        }

        protected override void OnModelChanged(object sender, EventArgs e)
        {
            _control.BackColor = Model.Color;
        }
    }
}
