﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace Esempio.MVP
{
    class Presenter3 : Presenter1
    {
        private readonly Random _random = new Random();

        public Presenter3(Button button)
            : base(button)
        {
            button.Click += OnButtonClick;
        }

        private void OnButtonClick(object sender, EventArgs e)
        {
            Model.Color = Color.FromArgb(Model.Color.A, _random.Next(0, 255), _random.Next(0, 255), _random.Next(0, 255));
        }
    }
}
